%define ver 1.0.1

Name: libvorbis
Version: 1.0update.1
Release: alt2

Summary: The Vorbis General Audio Compression Codec
License: BSD-like
Group: System/Libraries
Url: http://www.vorbis.com/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source:	http://fatpipe.vorbis.com/files/%ver/unix/%name-%ver.tar.bz2
Patch1: %name-shared_examples_build.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildPreReq: libogg >= %version

# Automatically added by buildreq on Tue Dec 02 2003
BuildRequires: libogg-devel

Summary(ru_RU.CP1251):  Vorbis

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

%description -l ru_RU.CP1251
Ogg Vorbis -         .

%package devel
Summary: Development files for libvorbis
Group: Development/C
PreReq: %name = %version-%release
Requires: libogg-devel >= %version

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with libvorbis.

%description devel -l ru_RU.CP1251
    ,    libvorbis
  .

%package devel-static
Summary: Static libraries for libvorbis
Group: Development/C
PreReq: %name-devel = %version-%release
Requires: libogg-devel-static >= %version

%description devel-static
This package contains development libraries required for packaging
statically linked libvorbis-based software.

%description devel-static -l ru_RU.CP1251
     , 
  libvorbis    .

%prep
%setup -q -n %name-%ver
%patch1 -p1

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%__subst -p 's/-O20 //g' configure*
%configure %{subst_enable static}
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
%__install -p -m644 AUTHORS COPYING HACKING README $RPM_BUILD_ROOT%_docdir/%name-%ver/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %_docdir/%name-%ver
%_docdir/%name-%ver/[A-Z]*

%files devel
%_includedir/*
#_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*
%dir %_docdir/%name-%ver
%_docdir/%name-%ver/[a-z]*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Dec 02 2003 Alexey Tourbin <at@altlinux.ru> 1.0update.1-alt2
- Do not package .la files.
- Do not package %name-devel-static by default.
- Aggressive optimization disabled (partially).

* Sat Nov 22 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0update.1-alt1
- 1.0.1

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.0release-alt2
- rebuild (gcc 3.2)

* Tue Jul 30 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt1
- 1.0
- building doesn't requires libogg-devel-static.
- some temprorary changes to avoid using Serial.

* Thu Jan 03 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0rc3-alt1
- 1.0rc3

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0rc2-alt2
- Fixed license tag.
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0rc2-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
